/**
 * @file
 * Visual styles for the site branding block in Corporate+.
 */

@media (min-width: 992px) {
    .header-container .container-fluid .logo-and-site-name-wrapper {
        padding-left: 20px;
    }
}

.logo {
    float: left;
    margin-right: 10px;
    display: inline-block;
}

.logo img {
    max-height: 150px;
    width: 150px;
}

.logo-centered {
    float: none;
    text-align: center;
}

.logo-centered .site-branding__logo {
    display: block;
    margin-bottom: 10px;
}

.logo:hover {
    opacity: 0.8;
    filter: alpha(opacity=80);
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.site-name a {
    font-size: 18px;
    font-weight: 700;
    line-height: 2.1;
    text-decoration: none;
}

.region--light-typography .site-name a {
    color: #ffffff;
}

.site-name a:hover {
    text-decoration: none;
    opacity: 0.8;
    filter: alpha(opacity=80);
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.site-slogan {
    font-size: 12px;
    line-height: 1.30;
    padding: 0;
    font-weight: 400;
}

.headings-wide-spacing-enabled .site-slogan {
    letter-spacing: 0.25em;
    text-transform: uppercase;
}

@media (max-width:767px) {
    .logo {
        float: none;
        margin: auto;
        display: block;
        text-align: center;
        display: block;
        visibility: visible;
        -webkit-transform: scale(0.75);
        -moz-transform: scale(0.75);
        -ms-transform: scale(0.75);
        -o-transform: scale(0.75);
        transform: scale(0.75);
    }
    .site-name,
    .site-slogan {
        text-align: left;
    }
    .site-name {
        margin: 5px 0 0 0;
    }
    .site-name a {
      font-size: 16px;
    }
    .site-slogan {
        display: block;
        visibility: visible;
        padding: 0;
    }
    #block-branding {
      padding-right: 45px;
    }
    .header__container,
    .header-top__container {
      padding: 0;
    }
}


/*site branding at full width regions*/

.col-md-12 .logo-and-site-name-wrapper {
    margin: 0 0 15px;
    text-align: center;
}

.col-md-12 .logo {
    margin: 0 auto;
    float: none;
}

.col-md-12 .site-branding__logo {
    display: block;
    margin-bottom: 10px;
}

.col-md-12 .site-name a {
    font-size: 26px;
    margin-bottom: 5px;
    display: block;
    color: #fff;
}

.col-md-12 .site-slogan {
    font-size: 12px;
    font-weight: 300;
    color: inherit;
}

.col-md-12 .site-slogan a {
    color: #fff;
}


/* Site Branding @slideout region*/

.slideout__section .logo-and-site-name-wrapper {
    margin: 0 0 15px;
}

.slideout__section .logo {
    display: block;
    float: none;
    margin: 0 auto;
    text-align: center;
}

.slideout__section .logo a {
    margin: 0 auto;
    display: inline-block;
}

.slideout__section .site-name a {
    font-size: 20px;
    margin-bottom: 5px;
    display: block;
    text-align: center;
    MARGIN-TOP: 10px;
}

.slideout__section .site-slogan {
    font-size: 12px;
    font-weight: 300;
    color: inherit;
    text-align: center;
}


/* Site Branding @footer*/

.footer__section .logo-and-site-name-wrapper {
    margin: 0 0 15px;
}

.footer__section .site-name a {
    font-size: 30px;
    margin-bottom: 5px;
    display: block;
}

.footer__section .site-slogan {
    font-size: 12px;
    font-weight: 300;
    color: inherit;
}


/* Site Branding @subfooter*/

.region--dark-typography .subfooter__section .site-slogan {
    color: #a5a5a5;
}

@media (max-width:620px) {
    /*.logo {
    float: right;
    margin-top: -170px;
    display: block;
    text-align: center;
    display: block;
    visibility: visible;
  }*/
    .logo img {
        max-height: none;
        margin: -20px auto 0
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    header .container {
        padding-right: 15px;
        padding-left: 15px;
        margin-right: auto;
        margin-left: auto;
    }
    .site-name a {
        font-size: 26px;
        /*margin-left: 18px;*/
    }
    .site-slogan {
        font-size: 12px;
        display: none;
        /*margin-left: 180px;
      width: 700px;*/
    }
    .logo img {
        margin-top: -10px;
        max-height: 150px;
        /* margin-left: 50px; */
        max-width: 150px;
    }
    .header-first {
        padding-bottom: 15px;
    }
}

@media (min-width: 620px) and (max-width:768px) {
    .site-name {
        width: 700px;
    }
    .site-slogan {
        font-size: 13px;
        width: 700px;
        margin-left: -151px;
        text-align: right;
    }
    .site-name a {
        font-size: 24px;
        margin-left: 10px;
    }
    .logo {
        float: left;
        margin-right: -10px;
        margin-left: -20px;
        margin-top: -10px;
    }
    .logo img {
        max-height: 150px;
        max-width: 130px;
        margin-left: 70px;
    }
}

@media (min-width: 1320px) {
    .logo {
        margin-top: -10px;
        margin-right: 0px;
        /* margin-left: -60px; */
        margin-left: -20px;
    }
    #block-aprmlogo {
        margin-right: 0;
    }
    .site-name a {
        font-size: 26px;
    }
    header .site-nam e {
        margin-left: 150px;
        margin-top: 10px;
    }
    header .site-slogan {
        font-size: 22px;
        margin-left: 150px;
    }
    .logo img {
        max-height: 150px;
        /* max-width: 260px; */
        max-width: 200px;
    }
}

@media (max-width: 1140px) {
    .logo {
        margin-left: -90px;
        margin: auto;
    }
    #block-aprmlogo {
        margin-right: 0;
    }
}

.region-header-third {
    display: flex;
    justify-content: space-between;
}
.region-header-third .block-lang-dropdown {
    margin: 10px -70px 0;
}